name: ghc
version: 7.10.3
id: ghc-7.10.3-b098e9a564ef7deaf299ce06d797e26b
key: ghc_0AG9TOjDEtx4Ji3wSwHOBe
license: BSD3
maintainer: glasgow-haskell-users@haskell.org
homepage: http://www.haskell.org/ghc/
synopsis: The GHC API
description:
    GHC's functionality can be useful for more things than just
    compiling Haskell programs. Important use cases are programs
    that analyse (and perhaps transform) Haskell code. Others
    include loading Haskell code dynamically in a GHCi-like manner.
    For this reason, a lot of GHC's functionality is made available
    through this package.
category: Development
author: The GHC Team
exposed: False
exposed-modules:
    Avail BasicTypes ConLike DataCon PatSyn Demand Debug Exception
    GhcMonad Hooks Id IdInfo Lexeme Literal Llvm Llvm.AbsSyn
    Llvm.MetaData Llvm.PpLlvm Llvm.Types LlvmCodeGen LlvmCodeGen.Base
    LlvmCodeGen.CodeGen LlvmCodeGen.Data LlvmCodeGen.Ppr
    LlvmCodeGen.Regs LlvmMangler MkId Module Name NameEnv NameSet
    OccName RdrName SrcLoc UniqSupply Unique Var VarEnv VarSet
    UnVarGraph BlockId CLabel Cmm CmmBuildInfoTables CmmPipeline
    CmmCallConv CmmCommonBlockElim CmmContFlowOpt CmmExpr CmmInfo
    CmmLex CmmLint CmmLive CmmMachOp CmmNode CmmOpt CmmParse
    CmmProcPoint CmmSink CmmType CmmUtils CmmLayoutStack MkGraph
    PprBase PprC PprCmm PprCmmDecl PprCmmExpr Bitmap CodeGen.Platform
    CodeGen.Platform.ARM CodeGen.Platform.ARM64 CodeGen.Platform.NoRegs
    CodeGen.Platform.PPC CodeGen.Platform.PPC_Darwin
    CodeGen.Platform.SPARC CodeGen.Platform.X86 CodeGen.Platform.X86_64
    CgUtils StgCmm StgCmmBind StgCmmClosure StgCmmCon StgCmmEnv
    StgCmmExpr StgCmmForeign StgCmmHeap StgCmmHpc StgCmmArgRep
    StgCmmLayout StgCmmMonad StgCmmPrim StgCmmProf StgCmmTicky
    StgCmmUtils StgCmmExtCode SMRep CoreArity CoreFVs CoreLint CorePrep
    CoreSubst CoreSyn TrieMap CoreTidy CoreUnfold CoreUtils MkCore
    PprCore Check Coverage Desugar DsArrows DsBinds DsCCall DsExpr
    DsForeign DsGRHSs DsListComp DsMonad DsUtils Match MatchCon
    MatchLit HsBinds HsDecls HsDoc HsExpr HsImpExp HsLit PlaceHolder
    HsPat HsSyn HsTypes HsUtils BinIface BuildTyCl IfaceEnv IfaceSyn
    IfaceType LoadIface MkIface TcIface FlagChecker Annotations
    BreakArray CmdLineParser CodeOutput Config Constants DriverMkDepend
    DriverPhases PipelineMonad DriverPipeline DynFlags ErrUtils Finder
    GHC GhcMake GhcPlugins DynamicLoading HeaderInfo HscMain HscStats
    HscTypes InteractiveEval InteractiveEvalTypes PackageConfig
    Packages PlatformConstants Plugins TcPluginM PprTyThing StaticFlags
    StaticPtrTable SysTools TidyPgm Ctype HaddockUtils Lexer
    OptCoercion Parser RdrHsSyn ApiAnnotation ForeignCall PrelInfo
    PrelNames PrelRules PrimOp TysPrim TysWiredIn CostCentre ProfInit
    SCCfinal RnBinds RnEnv RnExpr RnHsDoc RnNames RnPat RnSource
    RnSplice RnTypes CoreMonad CSE FloatIn FloatOut LiberateCase
    OccurAnal SAT SetLevels SimplCore SimplEnv SimplMonad SimplUtils
    Simplify SimplStg StgStats UnariseStg Rules SpecConstr Specialise
    CoreToStg StgLint StgSyn CallArity DmdAnal WorkWrap WwLib FamInst
    Inst TcAnnotations TcArrows TcBinds TcClassDcl TcDefaults TcDeriv
    TcEnv TcExpr TcForeign TcGenDeriv TcGenGenerics TcHsSyn TcHsType
    TcInstDcls TcMType TcValidity TcMatches TcPat TcPatSyn TcRnDriver
    TcRnMonad TcRnTypes TcRules TcSimplify TcErrors TcTyClsDecls
    TcTyDecls TcType TcEvidence TcUnify TcInteract TcCanonical
    TcFlatten TcSMonad TcTypeNats TcSplice Class Coercion FamInstEnv
    FunDeps InstEnv TyCon CoAxiom Kind Type TypeRep Unify Bag Binary
    BooleanFormula BufWrite Digraph Encoding FastBool FastFunctions
    FastMutInt FastString FastTypes Fingerprint FiniteMap GraphBase
    GraphColor GraphOps GraphPpr IOEnv ListSetOps Maybes MonadUtils
    OrdList Outputable Pair Panic Pretty Serialized State Stream
    StringBuffer UniqFM UniqSet Util ExtsCompat46
    Vectorise.Builtins.Base Vectorise.Builtins.Initialise
    Vectorise.Builtins Vectorise.Monad.Base Vectorise.Monad.Naming
    Vectorise.Monad.Local Vectorise.Monad.Global
    Vectorise.Monad.InstEnv Vectorise.Monad Vectorise.Utils.Base
    Vectorise.Utils.Closure Vectorise.Utils.Hoisting
    Vectorise.Utils.PADict Vectorise.Utils.Poly Vectorise.Utils
    Vectorise.Generic.Description Vectorise.Generic.PAMethods
    Vectorise.Generic.PADict Vectorise.Generic.PData Vectorise.Type.Env
    Vectorise.Type.Type Vectorise.Type.TyConDecl
    Vectorise.Type.Classify Vectorise.Convert Vectorise.Vect
    Vectorise.Var Vectorise.Env Vectorise.Exp Vectorise Hoopl.Dataflow
    Hoopl AsmCodeGen TargetReg NCGMonad Instruction Size Reg RegClass
    PIC Platform CPrim X86.Regs X86.RegInfo X86.Instr X86.Cond X86.Ppr
    X86.CodeGen PPC.Regs PPC.RegInfo PPC.Instr PPC.Cond PPC.Ppr
    PPC.CodeGen SPARC.Base SPARC.Regs SPARC.Imm SPARC.AddrMode
    SPARC.Cond SPARC.Instr SPARC.Stack SPARC.ShortcutJump SPARC.Ppr
    SPARC.CodeGen SPARC.CodeGen.Amode SPARC.CodeGen.Base
    SPARC.CodeGen.CondCode SPARC.CodeGen.Gen32 SPARC.CodeGen.Gen64
    SPARC.CodeGen.Sanity SPARC.CodeGen.Expand RegAlloc.Liveness
    RegAlloc.Graph.Main RegAlloc.Graph.Stats RegAlloc.Graph.ArchBase
    RegAlloc.Graph.ArchX86 RegAlloc.Graph.Coalesce RegAlloc.Graph.Spill
    RegAlloc.Graph.SpillClean RegAlloc.Graph.SpillCost
    RegAlloc.Graph.TrivColorable RegAlloc.Linear.Main
    RegAlloc.Linear.JoinToTargets RegAlloc.Linear.State
    RegAlloc.Linear.Stats RegAlloc.Linear.FreeRegs
    RegAlloc.Linear.StackMap RegAlloc.Linear.Base
    RegAlloc.Linear.X86.FreeRegs RegAlloc.Linear.X86_64.FreeRegs
    RegAlloc.Linear.PPC.FreeRegs RegAlloc.Linear.SPARC.FreeRegs Dwarf
    Dwarf.Types Dwarf.Constants DsMeta Convert ByteCodeAsm ByteCodeGen
    ByteCodeInstr ByteCodeItbls ByteCodeLink Debugger LibFFI Linker
    ObjLink RtClosureInspect DebuggerUtils
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/ghc_0AG9TOjDEtx4Ji3wSwHOBe
library-dirs: /usr/lib/ghc-7.10.3/ghc_0AG9TOjDEtx4Ji3wSwHOBe
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/ghc-7.10.3
hs-libraries: HSghc-7.10.3-0AG9TOjDEtx4Ji3wSwHOBe
include-dirs: /usr/lib/libffi-3.2.1/include
              /usr/lib/ghc-7.10.3/ghc_0AG9TOjDEtx4Ji3wSwHOBe/include
depends:
    array-0.5.1.0-960bf9ae8875cc30355e086f8853a049
    base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
    bin-package-db-0.0.0.0-b99ff8351e6cad51a902f741b5afedb7
    bytestring-0.10.6.0-c60f4c543b22c7f7293a06ae48820437
    containers-0.5.6.2-e59c9b78d840fa743d4169d4bea15592
    directory-1.2.2.0-f8e14a9d121b76a00a0f669ee724a732
    filepath-1.4.0.0-f97d1e4aebfd7a03be6980454fe31d6e
    hoopl-3.10.0.2-0f19d8f452f19e2befbe96868260767a
    hpc-0.6.0.2-0ad027f63b3708216688ed6c3f70c62d
    process-1.2.3.0-78f206acb2330ea8066c6c19c87356f0
    template-haskell-2.10.0.0-3c4cb52230f347282af9b2817f013181
    time-1.5.0.1-edbd1a50e7922b396ada189ab8e8523b
    transformers-0.4.2.0-81450cd8f86b36eaa8fa0cbaf6efc3a3
    unix-2.7.1.0-343d4f566f30113da92e819f4a148640
haddock-interfaces: /usr/share/doc/ghc/html/libraries/ghc-7.10.3/ghc.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/ghc-7.10.3
